cassandra-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Stefania (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (CASSANDRA-11850) cannot use cql since upgrading python to 2.7.11+
Date Mon, 04 Jul 2016 04:59:11 GMT

    [ https://issues.apache.org/jira/browse/CASSANDRA-11850?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=15360829#comment-15360829
] 

Stefania commented on CASSANDRA-11850:
--------------------------------------

I've reproduced the problem with python 2.7.12 and cassandra 2.1+. I've also verified that
the latest python driver, 3.5.0, fixes the problem for 2.2+ whilst for 2.1 I've created a
pull request [here|https://github.com/datastax/python-driver/pull/606] to add the fix to the
driver 2.7.2 branch.

I've launched the cqlsh tests with the updated driver:

||2.1||2.2||3.0||3.9||trunk||
|[patch|https://github.com/stef1927/cassandra/commits/11850-cqlsh-2.1]|[patch|https://github.com/stef1927/cassandra/commits/11850-cqlsh-2.2]|[patch|https://github.com/stef1927/cassandra/commits/11850-cqlsh-3.0]|[patch|https://github.com/stef1927/cassandra/commits/11850-cqlsh-3.9]|[patch|https://github.com/stef1927/cassandra/commits/11850-cqlsh]|
|[dtest|http://cassci.datastax.com/view/Dev/view/stef1927/job/stef1927-11850-cqlsh-2.1-cqlsh-tests/]|[dtest|http://cassci.datastax.com/view/Dev/view/stef1927/job/stef1927-11850-cqlsh-2.2-cqlsh-tests/]|[dtest|http://cassci.datastax.com/view/Dev/view/stef1927/job/stef1927-11850-cqlsh-3.0-cqlsh-tests/]|[dtest|http://cassci.datastax.com/view/Dev/view/stef1927/job/stef1927-11850-cqlsh-3.9-cqlsh-tests/]|[dtest|http://cassci.datastax.com/view/Dev/view/stef1927/job/stef1927-11850-cqlsh-cqlsh-tests/]|

I'm hoping that the Unicode problems I previously observed with the driver version 3.4 are
now resolved. If so we can commit, otherwise I'll bump the urgency of this ticket given that
that problem now occurs with a released python version.

> cannot use cql since upgrading python to 2.7.11+
> ------------------------------------------------
>
>                 Key: CASSANDRA-11850
>                 URL: https://issues.apache.org/jira/browse/CASSANDRA-11850
>             Project: Cassandra
>          Issue Type: Bug
>          Components: CQL
>         Environment: Development
>            Reporter: Andrew Madison
>            Assignee: Stefania
>              Labels: cqlsh
>             Fix For: 2.2.x, 3.0.x, 3.x
>
>
> OS: Debian GNU/Linux stretch/sid 
> Kernel: 4.5.0-2-amd64 #1 SMP Debian 4.5.4-1 (2016-05-16) x86_64 GNU/Linux
> Python version: 2.7.11+ (default, May  9 2016, 15:54:33)
> [GCC 5.3.1 20160429]
> cqlsh --version: cqlsh 5.0.1
> cassandra -v: 3.5 (also occurs with 3.0.6)
> Issue:
> when running cqlsh, it returns the following error:
> cqlsh -u dbarpt_usr01
> Password: *****
> Connection error: ('Unable to connect to any servers', {'odbasandbox1': TypeError('ref()
does not take keyword arguments',)})
> I cleared PYTHONPATH:
> python -c "import json; print dir(json); print json.__version__"
> ['JSONDecoder', 'JSONEncoder', '__all__', '__author__', '__builtins__', '__doc__', '__file__',
'__name__', '__package__', '__path__', '__version__', '_default_decoder', '_default_encoder',
'decoder', 'dump', 'dumps', 'encoder', 'load', 'loads', 'scanner']
> 2.0.9
> Java based clients can connect to Cassandra with no issue. Just CQLSH and Python clients
cannot.
> nodetool status also works.
> Thank you for your help.



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message